JAVA mení licenčné podmienky. Ako vyriešiť tento problém v D2000?

Nedávno prebehla veľká zmena od spoločnosti ORACLE, ktorá má dopad aj na používanie našej programovacej platformy D2000. Zmena licencie zabránila použitiu Java Runtime Enviroment (JRE) pre komerčné účely bez platenej licencie. Aké je teda riešenie momentálnej situácie z pohľadu používania D2000?

laptop-2557468_1920


Štandardnou súčasťou distribúcie D2000 je aj Java Runtime Environment (JRE).

Spoločnosť ORACLE prednedávnom oznámila zmenu licenčných podmienok pre používanie technológie Java SE. Keďže Java Runtime Environment je štandardnou súčasťou distribúcie D2000, pozrime sa, aké to má dopady na našich zákazníkov, užívateľov D2000.

Aktuálny stav pre relevantné verzie Java SE je nasledovný:

Java SE 8: ORACLE vydáva opravné balíčky iba zákazníkom, ktorí si zaplatia Java SE licenciu.
Java SE 11: Bez platenej licencie môže byť použitá len na testovacie a vývojové účely.

Viac info tu:
Oracle Java SE Licensing FAQ https://www.oracle.com/technetwork/java/javase/overview/oracle-jdk-faqs.html.

Z vyššie uvedeného je zrejmé, že produkčné nasadenie ORACLE Java SE v rámci D2000 nie je možné bez platenej licencie. Aké sú teda možnosti?

1) platiť (každoročne) licenciu Java SE.
Táto možnosť je vhodná pre zákazníkov, ktorí na Java SE prevádzkujú produkčné systémy kritického významu a potrebujú okamžitý prístup k bezpečnostným záplatám a komerčnú podporu od ORACLE.

2) použiť open-souce implementáciu Java SE.
OpenJDK je plná implementácia štandardu Java SE, použiteľná bez platenej licencie aj na produkčné účely.

Pre D2000 sme si vybrali bod 2) a preto v štandardnej distribúcii od verzie 12.0 D2000 obsahuje OpenJDK (konkrétne balíčky distribuované organizáciou AdoptOpenJDK), kde je zaručená podpora minimálne do roku 2022 (https://adoptopenjdk.net/support.html).

Na záver ešte prehľad verzií JRE dodávaných štandardne s produktami D2000:

 

verzia_D2000 verzia_java
9.0.20  Oracle JRE 1.6.0_26
9.2.34  Oracle JRE 1.6.0_26
10.1.39   Oracle JRE 1.7.0_45
11.0.53    Oracle JRE 1.8.0_102
11.2.57 Oracle JRE 1.8.0_162 
12.0.60 OpenJDK JRE 11 (build 11+28-201811012057)

 

Z prehľadu vidieť, že verzie D2000 staršie ako v12.0 obsahujú už nesupportované JRE, v prípade potreby bezpečnostných záplat si zákazníci musia zakúpiť licenciu od Oracle.

 

Za IPESOFT pre Vás napísal

Slavomír Kopinec

e-mail: kopinec.slavomir@ipesoft.com